Bug 264606 - quicklaunch widget overlap onto other widgets
Summary: quicklaunch widget overlap onto other widgets
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Unclassified
Component: widget-quicklaunch (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Ingomar Wesp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-28 10:44 UTC by Carlo Segato
Modified: 2011-03-29 05:58 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
screenshot (29.88 KB, image/png)
2011-01-28 10:45 UTC, Carlo Segato
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Carlo Segato 2011-01-28 10:44:56 UTC
Version:           unspecified (using KDE 4.6.0) 
OS:                Linux

before 4.6 the quicklaunch icons shrinked themselves(not multiple row but the icon size was dynamic) if there wasn't enough space, now instead it just overlaps sibling widgets
this happen when I have more than 3 programs listed in the taskbar

Reproducible: Always
Comment 1 Carlo Segato 2011-01-28 10:45:54 UTC
Created attachment 56560 [details]
screenshot
Comment 2 Ingomar Wesp 2011-03-29 05:47:25 UTC
Git commit 284de0012485b01defc73bde121d1b918ee75615 by Ingomar Wesp.
Committed on 29/03/2011 at 05:26.
Pushed by iwesp into branch 'master'.

Provide a proper minimumSize hint (preferredWidth for horizontal form factors,
preferredHeight for vertical ones).

CCBUG: 264606
CCBUG: 269419

M  +7    -1    plasma/generic/applets/quicklaunch/icongridlayout.cpp     
M  +1    -1    plasma/generic/applets/quicklaunch/plasma-applet-quicklaunch.desktop     

http://commits.kde.org/kde-workspace/284de0012485b01defc73bde121d1b918ee75615
Comment 3 Ingomar Wesp 2011-03-29 05:52:27 UTC
Git commit 6b033466e0ce885eea3715eae70d7c08bac0bb4c by Ingomar Wesp.
Committed on 29/03/2011 at 05:54.
Pushed by iwesp into branch 'KDE/4.6'.

Backport to 4.6: Provide a proper minimumSize hint (preferredWidth for
horizontal form factors, preferredHeight for vertical ones).

CCBUG: 264606
CCBUG: 269419

M  +7    -1    plasma/generic/applets/quicklaunch/icongridlayout.cpp     
M  +1    -2    plasma/generic/applets/quicklaunch/plasma-applet-quicklaunch.desktop     

http://commits.kde.org/kde-workspace/6b033466e0ce885eea3715eae70d7c08bac0bb4c
Comment 4 Ingomar Wesp 2011-03-29 05:58:19 UTC
Should be fixed in master and the 4.6 branch.